Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[PHP] error falta composer Facturascript (Resuelto)
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Spanish
View previous topic :: View next topic  
Author Message
Eleazar Anzola
Veteran
Veteran


Joined: 17 Jul 2003
Posts: 1282
Location: Caracas / Venezuela

PostPosted: Tue Mar 20, 2018 5:08 pm    Post subject: [PHP] error falta composer Facturascript (Resuelto) Reply with quote

Buenos días estimados,

El día de hoy he estado haciendo pruebas de sistemas contables y facturación, después de ver algunos post y videos en la web me he animado a probar FacturaScript una vez instalado postgresql y apache con php, entro en la web del instalador de FacturaScript y me salta el error siguiente
Code:
 COMPOSER ERROR

You need to run: composer install


He intentado algunas soluciones dadas en la web pero veo que en Gentoo dice tener conflicto y no se como habilitarlo, agradecería me dieran algunas luces al respecto, según vi en los videos y tutoriales en la web, esto de instalarlo debería ser algo trivial, pero en Gentoo no no ha resultado ser así.
_________________
Salu2
Eleazar Anzola
Linux User : # 216232
__________________________________________
Por un foro ordenado y un buscador más útil:
[TEMA] Descripción problema (estado)


Last edited by Eleazar Anzola on Wed Mar 21, 2018 11:43 am; edited 1 time in total
Back to top
View user's profile Send private message
Eleazar Anzola
Veteran
Veteran


Joined: 17 Jul 2003
Posts: 1282
Location: Caracas / Venezuela

PostPosted: Wed Mar 21, 2018 11:42 am    Post subject: Reply with quote

Después de leer algunos post relacionados con el composer me di cuenta cual era la causa de los conflictos en Gentoo, resulta ser que para cada aplicación ó proyecto echo en php que necesites el fulano composer, debes instalarlo dentro de sus carpetas ó directorio, cosa que crea conflictos con la política de Gentoo al duplicar paquetes dentro del sistema una y otra vez por cada proyecto ó aplicación que se haga con el composer, en vez de utilizarlo una sola vez desde un mismo directorio general tal como cualquier otra librería ó paquete.

Resuelto con agregar las USES
Code:

bcmath npm zlib mysqli cgi cli force-cgi-redirect apache2 fpm gd mysql xml xmlreader xmlwriter json sqlite suhosin mysqlnd pdo mysql


actualizar el sistema con
Code:
sudo emerge -uDvN @world
y luego en el directorios donde estaba desempaquetado el facturascript ejecutar
Code:
composer install --prefer-source --no-interaction

_________________
Salu2
Eleazar Anzola
Linux User : # 216232
__________________________________________
Por un foro ordenado y un buscador más útil:
[TEMA] Descripción problema (estado)
Back to top
View user's profile Send private message
Stolz
Moderator
Moderator


Joined: 19 Oct 2003
Posts: 3007
Location: Hong Kong

PostPosted: Fri Mar 23, 2018 9:41 am    Post subject: Reply with quote

Composer un gestor de paquetes/dependencias para PHP, de forma similar a lo que NPM es para JavaScript o PIP para Python. No es necesario tener una copia de Composer para cada proyecto, con una para todo el sistema es suficiente. Composer está disponible en Portage como dev-php/composer pero como consta de un solo fichero lo normal es copiarlo a /usr/locl/bin y listo. Puedes añadir a cron el comando composer --quiet --no-ansi selfupdate para que se actualice solo de forma automática y así te ahorras la lentitud de Portage.

Lo que si es cierto* es que las dependencias de cada proyecto se tienen que instalar en el proyecto en si pero si lo piensas bien esto tiene mucho sentido. Esto permite tener dos (o más) proyectos de PHP que necesitan la misma dependencias pero en versiones distintas. (* Bueno, en realidad Composer tiene una forma de instalar las dependencias de forma global pero normalmente solo es usada para paquetes que tienen sentido ser usados en múltiples proyectos, por ejemplo utilidades de lineas de comando como analizadores estáticos de código, linters o herramientas de test).

Composer solo es necesario tenerlo a la hora de instalar por primera vez o a la hora de actualizar el proyecto. Una vez las dependencias se han instalado/actualizado no se necesita. Si te está creando algún conflicto con Gentoo lo puedes borrar, aunque tratándose de un solo fichero solo es difícil de imaginar que cree conflictos.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Spanish All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum